## org.eclipse.m2m.qvt.oml.util
Interface ISessionData

    public interface ISessionData

Since:
  3.0

Nested Class Summary
`static interface` `ISessionData.Entry<T>`
`static class` `ISessionData.NamedEntry<T>`
`static class` `ISessionData.SimpleEntry<T>`

Method Summary

`

`<T> T`

`

`getValue(ISessionData.Entry<T> entry)`

`

`<T> void`

`

`setValue(ISessionData.Entry<T> key, T value)`

Method Detail

### getValue

    <T> T getValue(ISessionData.Entry<T> entry)

  Throws:
    `java.lang.ClassCastException` - if the stored value is not of the type specified for the given data entry

### setValue

    <T> void setValue(ISessionData.Entry<T> key,
                      T value)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.